<?php

/* テーマ機能設定 */
function theme_note_setup() {
	// title タグの自動出力指定
	add_theme_support('title-tag');
	// 対応している投稿フォーマット指定
	add_theme_support(
		'post-formats',
		array(
			'link',
			'aside',
			'gallery',
			'image',
			'quote',
			'status',
		)
	);
	// アイキャッチ（投稿サムネール）指定
	add_theme_support('post-thumbnails');
	set_post_thumbnail_size(128, 128);
	// メニュー作成指定
	register_nav_menus(
		array(
			'primary' => __( 'Primary menu' ),
		)
	);
	// HTML5のマークアップ指定
	add_theme_support(
		'html5',
		array(
			'gallery',
			'caption',
		)
	);
	// カスタムロゴ指定
	$logo_width  = 256;
	$logo_height = 256;
	add_theme_support(
		'custom-logo',
		array(
			'height'               => $logo_height,
			'width'                => $logo_width,
			'flex-width'           => true,
			'flex-height'          => true,
			'unlink-homepage-logo' => true,
		)
	);
	// エディタのスタイル設定
	add_editor_style( 'css/style.css' );
}
// セットアップ関数の呼び出しを指定
add_action('after_setup_theme', 'theme_note_setup');
